/*
 * @(#)Tool.java 5.1
 *
 */

package CH.ifa.draw.standard;

import java.awt.Graphics;
import java.awt.event.KeyEvent;
import java.awt.event.MouseEvent;

import de.renew.draw.ui.ontology.Tool;

/**
 * The type representing a tool that does nothing.
 * @deprecated This class is not to be used externally and will later be hidden.
 */
@Deprecated(since = "5.0", forRemoval = true)
public class NullTool implements Tool {
    public static final NullTool INSTANCE = new NullTool();

    private NullTool() {}

    @Override
    public void activate() {}

    @Override
    public void deactivate() {}

    @Override
    public void mouseDown(MouseEvent e, int x, int y) {}

    @Override
    public void mouseDrag(MouseEvent e, int x, int y) {}

    @Override
    public void mouseUp(MouseEvent e, int x, int y) {}

    @Override
    public void cancel() {}

    @Override
    public void mouseMove(MouseEvent evt, int x, int y) {}

    @Override
    public void keyDown(KeyEvent evt, int key) {}

    @Override
    public void draw(Graphics g) {}
}